CC26xx Driver Library |

- Main Page
- Related Pages
- CC26xx APIs
- Register Descriptions
- Online Resources

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions
[event] Event

## Functions
__STATIC_INLINE void | EventRegister (uint32_t ui32ProgOut, uint32_t ui32EventId)
| Register a dynamic Event in the event fabric and connect a subscriber. More...

## Detailed Description

## Function Documentation

__STATIC_INLINE void EventRegister | ( | uint32_t | ui32ProgOut,
|  | uint32_t | ui32EventId
| ) |  |

Register a dynamic Event in the event fabric and connect a subscriber.

Not all events can be routed to all programmable output lines. The following lists the available events for each programmable line (TBD).

Note
  Switching the event source is not glitch free, so it is imperative that the subscriber is disabled for interrupts when switching the event source. The behaviour is undefined if not disabled.

TBD - Should we add logic to make sure the subscriber is disabled when switching the source.

Parameters

  ui32ProgOut | is the programmable output line to the subcriber which too connect to the event.
  ui32EventId | is the specific event that must be acted upon.

Returns
  None

Definition at line 259 of file event.h.

## Macro Definition Documentation

#define EVENT_ADC 23

Definition at line 95 of file event.h.

Referenced by EventRegister().

#define EVENT_ALWAYS_0 0

Definition at line 72 of file event.h.

Referenced by EventRegister().

#define EVENT_ALWAYS_1 121

Definition at line 193 of file event.h.

Referenced by EventRegister().

#define EVENT_AON_AUX0 10

Definition at line 82 of file event.h.

Referenced by EventRegister().

#define EVENT_AON_EDGE_DETECT 4

Definition at line 76 of file event.h.

Referenced by EventRegister().

#define EVENT_AON_PROG_0 1

Definition at line 73 of file event.h.

Referenced by EventRegister().

#define EVENT_AON_PROG_1 2

Definition at line 74 of file event.h.

Referenced by EventRegister().

#define EVENT_AON_PROG_2 3

Definition at line 75 of file event.h.

Referenced by EventRegister().

#define EVENT_AON_RTC_UPD 119

Definition at line 191 of file event.h.

Referenced by EventRegister().

#define EVENT_AON_RTCCOMDLY 7

Definition at line 79 of file event.h.

Referenced by EventRegister().

#define EVENT_AON_SPIS_CS 6

Definition at line 78 of file event.h.

Referenced by EventRegister().

#define EVENT_AON_SPIS_RTX 5

Definition at line 77 of file event.h.

Referenced by EventRegister().

#define EVENT_AON_SPIS_RX_BURST 57

Definition at line 129 of file event.h.

Referenced by EventRegister().

#define EVENT_AON_SPIS_RX_SINGLE 58

Definition at line 130 of file event.h.

Referenced by EventRegister().

#define EVENT_AON_SPIS_TX_BURST 59

Definition at line 131 of file event.h.

Referenced by EventRegister().

#define EVENT_AON_SPIS_TX_SINGLE 60

Definition at line 132 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX0 105

Definition at line 177 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX1 106

Definition at line 178 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX10 115

Definition at line 187 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX2 107

Definition at line 179 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX3 108

Definition at line 180 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX4 109

Definition at line 181 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX5 110

Definition at line 182 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX6 111

Definition at line 183 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX7 112

Definition at line 184 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX8 113

Definition at line 185 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX9 114

Definition at line 186 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX_ADC 33

Definition at line 105 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX_CMP 29

Definition at line 101 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX_DMA_BURST 118

Definition at line 190 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX_DMA_SINGLE 117

Definition at line 189 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX_DMA_SW 116

Definition at line 188 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX_ERR 32

Definition at line 104 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX_PROG EVENT_O_GPT0ACAPTSEL

Definition at line 225 of file event.h.

Referenced by EventRegister().

#define EVENT_AUX_SM 8

Definition at line 80 of file event.h.

Referenced by EventRegister().

#define EVENT_CM3_PROG EVENT_O_CPUIRQSEL30

Definition at line 201 of file event.h.

Referenced by EventRegister().

#define EVENT_CRYPTO_DMA_DONE 94

Definition at line 166 of file event.h.

Referenced by EventRegister().

#define EVENT_CRYPTO_RES_RDY 93

Definition at line 165 of file event.h.

Referenced by EventRegister().

#define EVENT_DMA_DONE 39

Definition at line 111 of file event.h.

Referenced by EventRegister().

#define EVENT_DMA_ERR 38

Definition at line 110 of file event.h.

Referenced by EventRegister().

#define EVENT_FLASH 21

Definition at line 93 of file event.h.

Referenced by EventRegister().

#define EVENT_FREEZE_PROG EVENT_O_FRZSEL0

Definition at line 229 of file event.h.

Referenced by EventRegister().

#define EVENT_HALTED 120

Definition at line 192 of file event.h.

Referenced by EventRegister().

#define EVENT_I2C_INTERRUPT 9

Definition at line 81 of file event.h.

Referenced by EventRegister().

#define EVENT_I2S_PROG EVENT_O_I2SSTMPSEL0

Definition at line 227 of file event.h.

Referenced by EventRegister().

#define EVENT_NMI 99

Definition at line 171 of file event.h.

Referenced by EventRegister().

#define EVENT_PAD_IN_TIMER_SUB0 85

Definition at line 157 of file event.h.

Referenced by EventRegister().

#define EVENT_PAD_IN_TIMER_SUB1 86

Definition at line 158 of file event.h.

Referenced by EventRegister().

#define EVENT_PAD_IN_TIMER_SUB2 87

Definition at line 159 of file event.h.

Referenced by EventRegister().

#define EVENT_PAD_IN_TIMER_SUB3 88

Definition at line 160 of file event.h.

Referenced by EventRegister().

#define EVENT_PAD_IN_TIMER_SUB4 89

Definition at line 161 of file event.h.

Referenced by EventRegister().

#define EVENT_PAD_IN_TIMER_SUB5 90

Definition at line 162 of file event.h.

Referenced by EventRegister().

#define EVENT_PAD_IN_TIMER_SUB6 91

Definition at line 163 of file event.h.

Referenced by EventRegister().

#define EVENT_PAD_IN_TIMER_SUB7 92

Definition at line 164 of file event.h.

Referenced by EventRegister().

#define EVENT_PRCM 31

Definition at line 103 of file event.h.

Referenced by EventRegister().

#define EVENT_PRCM_BUSON 28

Definition at line 100 of file event.h.

Referenced by EventRegister().

#define EVENT_PTIM_RTX 11

Definition at line 83 of file event.h.

Referenced by EventRegister().

#define EVENT_RFCORE_CMD_ACK 25

Definition at line 97 of file event.h.

Referenced by EventRegister().

#define EVENT_RFCORE_CPE0 27

Definition at line 99 of file event.h.

Referenced by EventRegister().

#define EVENT_RFCORE_CPE1 30

Definition at line 102 of file event.h.

Referenced by EventRegister().

#define EVENT_RFCORE_HW 26

Definition at line 98 of file event.h.

Referenced by EventRegister().

#define EVENT_RFCORE_INPUT_1 95

Definition at line 167 of file event.h.

Referenced by EventRegister().

#define EVENT_RFCORE_INPUT_2 96

Definition at line 168 of file event.h.

Referenced by EventRegister().

#define EVENT_RFCORE_INPUT_3 97

Definition at line 169 of file event.h.

Referenced by EventRegister().

#define EVENT_RFCORE_INPUT_4 98

Definition at line 170 of file event.h.

Referenced by EventRegister().

#define EVENT_RFCORE_PROG EVENT_O_RFCSEL9

Definition at line 203 of file event.h.

Referenced by EventRegister().

#define EVENT_SPIS 56

Definition at line 128 of file event.h.

Referenced by EventRegister().

#define EVENT_SSI0 34

Definition at line 106 of file event.h.

Referenced by EventRegister().

#define EVENT_SSI0_RX_BURST 40

Definition at line 112 of file event.h.

Referenced by EventRegister().

#define EVENT_SSI0_RX_SINGLE 41

Definition at line 113 of file event.h.

Referenced by EventRegister().

#define EVENT_SSI0_TX_BURST 42

Definition at line 114 of file event.h.

Referenced by EventRegister().

#define EVENT_SSI0_TX_SINGLE 43

Definition at line 115 of file event.h.

Referenced by EventRegister().

#define EVENT_SSI1 35

Definition at line 107 of file event.h.

Referenced by EventRegister().

#define EVENT_SSI1_RX_BURST 44

Definition at line 116 of file event.h.

Referenced by EventRegister().

#define EVENT_SSI1_RX_SINGLE 45

Definition at line 117 of file event.h.

Referenced by EventRegister().

#define EVENT_SSI1_TX_BURST 46

Definition at line 118 of file event.h.

Referenced by EventRegister().

#define EVENT_SSI1_TX_SINGLE 47

Definition at line 119 of file event.h.

Referenced by EventRegister().

#define EVENT_SW0 100

Definition at line 172 of file event.h.

Referenced by EventRegister().

#define EVENT_SW0_DONE 20

Definition at line 92 of file event.h.

Referenced by EventRegister().

#define EVENT_SW1 101

Definition at line 173 of file event.h.

Referenced by EventRegister().

#define EVENT_SW1_DMA_DONE 22

Definition at line 94 of file event.h.

Referenced by EventRegister().

#define EVENT_SW2 102

Definition at line 174 of file event.h.

Referenced by EventRegister().

#define EVENT_SW3 103

Definition at line 175 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER0_A 16

Definition at line 88 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER0_A_COMP 61

Definition at line 133 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER0_A_PROG EVENT_O_GPT0ACAPTSEL

Definition at line 205 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER0_A_REQ 77

Definition at line 149 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER0_A_SREQ_ 69

Definition at line 141 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER0_B 17

Definition at line 89 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER0_B_COMP 62

Definition at line 134 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER0_B_PROG EVENT_O_GPT0BCAPTSEL

Definition at line 206 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER0_B_REQ 78

Definition at line 150 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER0_B_SREQ 70

Definition at line 142 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER1_A 18

Definition at line 90 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER1_A_COMP 63

Definition at line 135 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER1_A_PROG EVENT_O_GPT1ACAPTSEL

Definition at line 207 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER1_A_REQ 79

Definition at line 151 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER1_A_SREQ 71

Definition at line 143 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER1_B 19

Definition at line 91 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER1_B_COMP 64

Definition at line 136 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER1_B_PROG EVENT_O_GPT1BCAPTSEL

Definition at line 208 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER1_B_REQ 80

Definition at line 152 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER1_B_SREQ 72

Definition at line 144 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER2_A 12

Definition at line 84 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER2_A_COMP 65

Definition at line 137 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER2_A_PROG EVENT_O_GPT2ACAPTSEL

Definition at line 209 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER2_A_REQ 81

Definition at line 153 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER2_A_SREQ 73

Definition at line 145 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER2_B 13

Definition at line 85 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER2_B_COMP 66

Definition at line 138 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER2_B_PROG EVENT_O_GPT2BCAPTSEL

Definition at line 210 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER2_B_REQ 82

Definition at line 154 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER2_B_SREQ 74

Definition at line 146 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER3_A 14

Definition at line 86 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER3_A_COMP 67

Definition at line 139 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER3_A_PROG EVENT_O_GPT3ACAPTSEL

Definition at line 211 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER3_A_REQ 83

Definition at line 155 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER3_A_SREQ 75

Definition at line 147 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER3_B 15

Definition at line 87 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER3_B_COMP 68

Definition at line 140 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER3_B_PROG EVENT_O_GPT3BCAPTSEL

Definition at line 212 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER3_B_REQ 84

Definition at line 156 of file event.h.

Referenced by EventRegister().

#define EVENT_TIMER3_B_SREQ 76

Definition at line 148 of file event.h.

Referenced by EventRegister().

#define EVENT_TRNG 104

Definition at line 176 of file event.h.

Referenced by EventRegister().

#define EVENT_UART0 36

Definition at line 108 of file event.h.

Referenced by EventRegister().

#define EVENT_UART0_RX_BURST 48

Definition at line 120 of file event.h.

Referenced by EventRegister().

#define EVENT_UART0_RX_SINGLE 49

Definition at line 121 of file event.h.

Referenced by EventRegister().

#define EVENT_UART0_TX_BURST 50

Definition at line 122 of file event.h.

Referenced by EventRegister().

#define EVENT_UART0_TX_SINGLE 51

Definition at line 123 of file event.h.

Referenced by EventRegister().

#define EVENT_UART1 37

Definition at line 109 of file event.h.

Referenced by EventRegister().

#define EVENT_UART1_RX_BURST 52

Definition at line 124 of file event.h.

Referenced by EventRegister().

#define EVENT_UART1_RX_SINGLE 53

Definition at line 125 of file event.h.

Referenced by EventRegister().

#define EVENT_UART1_TX_BURST 54

Definition at line 126 of file event.h.

Referenced by EventRegister().

#define EVENT_UART1_TX_SINGLE 55

Definition at line 127 of file event.h.

Referenced by EventRegister().

#define EVENT_UDMA_PROG0 EVENT_O_UDMACH9SSEL

Definition at line 214 of file event.h.

Referenced by EventRegister().

#define EVENT_UDMA_PROG1 EVENT_O_UDMACH9BSEL

Definition at line 215 of file event.h.

Referenced by EventRegister().

#define EVENT_UDMA_PROG2 EVENT_O_UDMACH10SSEL

Definition at line 216 of file event.h.

Referenced by EventRegister().

#define EVENT_UDMA_PROG3 EVENT_O_UDMACH10BSEL

Definition at line 217 of file event.h.

Referenced by EventRegister().

#define EVENT_UDMA_PROG4 EVENT_O_UDMACH11SSEL

Definition at line 218 of file event.h.

Referenced by EventRegister().

#define EVENT_UDMA_PROG5 EVENT_O_UDMACH11BSEL

Definition at line 219 of file event.h.

Referenced by EventRegister().

#define EVENT_UDMA_PROG6 EVENT_O_UDMACH12SSEL

Definition at line 220 of file event.h.

Referenced by EventRegister().

#define EVENT_UDMA_PROG7 EVENT_O_UDMACH12BSEL

Definition at line 221 of file event.h.

Referenced by EventRegister().

#define EVENT_UDMA_PROG8 EVENT_O_UDMACH14BSEL

Definition at line 222 of file event.h.

Referenced by EventRegister().

#define EVENT_UDMA_PROG9 EVENT_O_UDMACH14BSEL

Definition at line 223 of file event.h.

Referenced by EventRegister().

#define EVENT_WATCHDOG 24

Definition at line 96 of file event.h.

Referenced by EventRegister().